Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLDocument.RunElement

    java.lang.Object
      |
      +--javax.swing.text.AbstractDocument.AbstractElement
            |
            +--javax.swing.text.AbstractDocument.LeafElement
                  |
                  +--javax.swing.text.html.HTMLDocument.RunElement

public class HTMLDocument.RunElement
extends AbstractDocument.LeafElement

An element that represents a chunk of text that has a set of html character level attributes assigned to it.

See Also:
  Serialized Form

Constructor Summary
`HTMLDocument.RunElement(Element parent, AttributeSet a, int offs0, int offs1)` Constructs an element that represents content within the document (has no children).

Method Summary
`java.lang.String` | `getName()` Gets the name of the element.
`AttributeSet` | `getResolveParent()` Gets the resolving parent.

Methods inherited from class javax.swing.text.AbstractDocument.LeafElement
`children, getAllowsChildren, getElement, getElementCount, getElementIndex, getEndOffset, getStartOffset, isLeaf, toString`

Methods inherited from class javax.swing.text.AbstractDocument.AbstractElement
`addAttribute, addAttributes, containsAttribute, containsAttributes, copyAttributes, dump, finalize, getAttribute, getAttributeCount, getAttributeNames, getAttributes, getChildAt, getChildCount, getDocument, getIndex, getParent, getParentElement, isDefined, isEqual, removeAttribute, removeAttributes, removeAttributes, setResolveParent`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLDocument.RunElement

    public HTMLDocument.RunElement(Element parent,
                                   AttributeSet a,
                                   int offs0,
                                   int offs1)

  Constructs an element that represents content within the document (has no children).
  Parameters:
    `parent` - The parent element
    `a` - The element attributes
    `offs0` - The start offset >= 0
    `offs1` - The end offset >= offs0

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the element.
  Returns:
    the name, null if none
  Overrides:
    getName in class AbstractDocument.LeafElement

### getResolveParent

    public AttributeSet getResolveParent()

  Gets the resolving parent. HTML attributes are not inherited at the model level so we override this to return null.
  Returns:
    null, there are none
  Overrides:
    getResolveParent in class AbstractDocument.AbstractElement
  See Also:
    `AttributeSet.getResolveParent()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.